*,
*::after,
*::before {
	box-sizing: border-box;
}

html, body {
	background-color: black;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.game_page {
	margin: 0px;
	border: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
}

.loading_page {
	align-items: center;
	background: black;
	color: white;
	display: flex;
	font: 2rem "Poiret One";
	width: 100%;
	height: 100%;
	justify-content: center;
	margin: 0;
	padding: 0;
	border: 0;
}

body {
	-ms-touch-action:none;
	touch-action:none;
}

/* @media min size removed */

#canvas {
	position: absolute;
	display: block;
	margin:0;
	padding:0;
	width:100vw;
	height:100vh;
}

.start_screen {
	display:flex;
	justify-content:center;
	align-items:center;
	width:100%;
	height:100%;
	background-color: black;
}

#rotate_screen {
   background: url("https://is-daouda.github.io/html5_multi/rotate_screen.png") no-repeat center center;
	width:100%;
	height:100%;
}

.hmin_tag{
	font-size: 1.em;
	font-weight: bold;
}

.h1_tag{
	font-size: 2.4em;
	font-weight: bold;
}

/* loading */
.box {
	height: 100px;
	margin: 0 10px;
	overflow: hidden;
	position: relative;
	transform: rotateZ(270deg) scale(1.05);
	width: 100px;
}

.box:nth-of-type(2) {
	left: -28px;
	transform: rotateX(-180deg) rotateY(180deg) rotateZ(270deg) scale(1.05);
}

.box span {
	animation: loader 4.8s infinite both;
	display: block;
	height: 100%;
	position: absolute;
	width: 100%;
}

.box span:nth-child(1) {
	animation-delay: 0.2s;
}

.box span:nth-child(2) {
	animation-delay: 0.4s;
}

.box span:nth-child(3) {
	animation-delay: 0.6s;
}

.box span:nth-child(4) {
	animation-delay: 0.8s;
}

.box span:nth-child(5) {
	animation-delay: 1s;
}

.box span:nth-child(6) {
	animation-delay: 1.2s;
}

.box span::after {
	background: #fff;
	border-radius: 50%;
	content: "";
	left: 50%;
	padding: 6px;
	position: absolute;
	top: 0;
	transform: translateX(-50%);
}

@keyframes loader {
	0% {
		opacity: 0;
		transform: rotate(180deg);
		animation-timing-function: ease-out;
	}
	5% {
		opacity: 1;
		transform: rotate(300deg);
		animation-timing-function: linear;
	}
	30% {
		transform: rotate(420deg);
		animation-timing-function: ease-in-out;
	}
	35% {
		transform: rotate(625deg);
		animation-timing-function: linear;
	}
	70% {
		transform: rotate(800deg);
		animation-timing-function: ease-out;
		opacity: 1;
	}
	75% {
		opacity: 0;
		transform: rotate(900deg);
		animation-timing-function: ease-out;
	}
	76% {
		opacity: 0;
		transform: rotate(900deg);
	}
	100% {
		opacity: 0;
		transform: rotate(900deg);
	}
}

.hmin_tag {
	text-shadow: 0 0 10px #fff;
	animation: blink 4.8s infinite both;
}

.hmin_tag:nth-of-type(2) {
	animation: none;
	letter-spacing: -14px;
	margin: 0 auto;
	opacity: 0.1;
	padding-left: 41px;
	position: absolute;
	top: 50%;
	transform: translatey(-50%);
}

.h1_tag {
	text-shadow: 0 0 10px #fff;
	animation: blink 4.8s infinite both;
}

.h1_tag:nth-of-type(2) {
	animation: none;
	letter-spacing: -14px;
	margin: 0 auto;
	opacity: 0.1;
	padding-left: 41px;
	position: absolute;
	top: 50%;
	transform: translatey(-50%);
}

@keyframes blink {
	0%,
	50%,
	100% {
		opacity: 0.2;
	}
	25%,
	75% {
		opacity: 1;
	}
}

.p_tag {
	position: absolute;
	font-family: monospace;
}

.p_tag {
	font-size: 0.3em;
	bottom: 10%;
	width: 100%;
	text-align: center;
}
/* loading */

/* game cover */
* {
	box-sizing: border-box;
}

.bg-image {
	/* The image used */
	background-image: url("https://is-daouda.github.io/html5_multi/image.png");

	/* Add the blur effect */
	filter: blur(3px);
	-webkit-filter: blur(3px);

	/* Full height */
	height: 100%;

	/* Center and scale the image nicely */
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;  
}

/* Position text in the middle of the page/image */
.bg-text {
	background-color: rgb(0,0,0); /* Fallback color */
	background-color: rgba(0,0,0, 0.6); /* Black w/opacity/see-through */
	color: white;
	font-weight: bold;
	border: 3px solid #f1f1f1;
	border-radius: 20px;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 2;
	width: 80%;
	padding: 20px;
	text-align: center;
}
